registry_proof_list:
    path: '/liste'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:listAction'

registry_proof_list_datatables:
    path: '/datatables'
    methods: ['POST']
    controller: 'App\Domain\Registry\Controller\ProofController:listDataTables'

registry_proof_create:
    path: '/creer'
    methods: ['GET', 'POST']
    controller: 'App\Domain\Registry\Controller\ProofController:createAction'

registry_proof_edit:
    path: '/modifier/{id}'
    methods: ['GET', 'POST']
    controller: 'App\Domain\Registry\Controller\ProofController:editAction'

registry_proof_download:
    path: '/{id}/telecharger'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:downloadAction'

registry_proof_download_all:
    path: '/telecharger'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:downloadAll'


#registry_proof_report:
#    path: '/bilan'
#    methods: ['GET']
#    defaults:
#        _controller: 'App\Domain\Registry\Controller\ProofController:reportAction'

registry_proof_archive:
    path: '/archiver/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:archiveAction'

registry_proof_archive_confirm:
    path: '/archiver/{id}/confirmation'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:archiveConfirmationAction'

registry_proof_unarchive:
    path: '/desarchiver/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:unarchiveAction'

registry_proof_unarchive_confirm:
    path: '/dsarchiver/{id}/confirmation'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:unarchiveConfirmationAction'

registry_proof_delete:
    path: '/supprimer/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:deleteAction'

registry_proof_delete_confirm:
    path: '/supprimer/{id}/confirmation'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ProofController:deleteConfirmationAction'
